%define module X-Osd
%define	version	0.7
%define release	%mkrel 9

Summary:  	Perl5 modules for xosd
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://search.cpan.org/CPAN/authors/id/G/GO/GOZER/%{module}-%{version}.tar.bz2
Requires:	perl 
BuildRequires:	xosd-devel, perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl extension to the X On Screen Display library (xosd)

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
%makeinstall_std 

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*



%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.7-9mdv2008.1
+ Revision: 151400
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-8mdv2008.0
+ Revision: 87077
- rebuild


* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 0.7-7
- Rebuild

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-6mdk
- Fixing source path

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-5mdk
- Cleaning spec

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-4mdk
- Rebuild

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.7-3mdk 
- rebuild for new perl
- fix spec name

* Tue Jun 22 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk 
- remove Requires on xosd, who turn out to pull xmms-xosd.

* Wed May 05 2004 Erwan Velu <erwan@mandrakesoft.com> 0.7-1mdk
- 0.7 (8 months in late :/)

